Package com.smartgwt.client.util.workflow

# Class ProcessSequence

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.ProcessSequence

All Implemented Interfaces:
  `HasHandlers`

public class ProcessSequence extends ProcessElement
An Array of `ProcessElement`s involved in a `Process`. A `ProcessSequence` is used to reduce the number of explicit `ProcessElement.ID`s that need to be assigned, by creating an implicit next element - the next in the sequence.

A sequence cannot be executed outside of a Process and has no state.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessSequence()`
  `ProcessSequence(JavaScriptObject jsObj)`
  `ProcessSequence(ProcessElement... elements)`
  `ProcessSequence(String ID)`
  `ProcessSequence(String id, ProcessElement... elements)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `ProcessElement[]`
  `getElements()`
  The `ProcessElement`s in this sequence.
  `static ProcessSequence`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `ProcessSequence`
  `setElements(ProcessElement... elements)`
  The `ProcessElement`s in this sequence.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessSequence

    public ProcessSequence()

  - ### ProcessSequence

    public ProcessSequence(JavaScriptObject jsObj)

  - ### ProcessSequence

    public ProcessSequence(String ID)

  - ### ProcessSequence

    public ProcessSequence(ProcessElement... elements)

  - ### ProcessSequence

    public ProcessSequence(String id, ProcessElement... elements)

- ## Method Details

  - ### getOrCreateRef

    public static ProcessSequence getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ProcessElement`

  - ### setElements

    public ProcessSequence setElements(ProcessElement... elements) throws IllegalStateException
    The `ProcessElement`s in this sequence.
    Parameters:
      `elements` - New elements value. Default value is null
    Returns:
      `ProcessSequence` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getElements

    public ProcessElement[] getElements()
    The `ProcessElement`s in this sequence.
    Returns:
      ProcessElement